<?php
/**
 * Plugin Name:     Set Auto Updates to minor releases only
 * Plugin URI:      https://tadpole.cc
 * GitLab Plugin URI: plugins/tc-core-update-minorr
 * GitLab Plugin URI: https://develop.tadpole.cc/plugins/tc-core-update-minor.git
 * Description:     Allow automatic updates for security releases only 
 * Author:          Kevin Cristiano
 * Author URI:      https://tadpole.cc
 * Text Domain:     tc-core-update-minor
 * Domain Path:     /languages
 * Version:         1.0
 *
 * @package         Tc_Core_Update_Minor
 */

add_filter( 'allow_major_auto_core_updates', '__return_false' );

add_action(
    'admin_notices',
    function() {
        remove_action( 'admin_notices', 'update_nag', 3 );
    },
    2
);
